gi-xlib-2.0.9: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Screen

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Screen = Screen (ManagedPtr Screen)

# Exported types

newtype Screen Source #

Memory-managed wrapper type.

Constructors

Screen (ManagedPtr Screen) |

#### Instances

Instances details

Eq Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods (==) :: Screen -> Screen -> Bool # (/=) :: Screen -> Screen -> Bool #
ManagedPtrNewtype Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods toManagedPtr :: Screen -> ManagedPtr Screen Source #
BoxedPtr Screen Source # |
Instance details Defined in GI.Xlib.Structs.Screen Methods boxedPtrCopy :: Screen -> IO Screen Source # boxedPtrFree :: Screen -> IO () Source #

# Methods

## Overloaded methods